Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.samples.basic
Class FailDuringInitPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.portlet.samples.basic.FailDuringInitPortlet

All Implemented Interfaces:
  Portlet

    public class FailDuringInitPortlet

extends GenericPortlet

A portlet that will fail only one time during startup (so it is possible to restart it).

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`FailDuringInitPortlet()`

Method Summary
`protected void` | `doView(RenderRequest renderRequest, RenderResponse renderResponse)` Helper method to serve up the mandatory `view` mode.
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailDuringInitPortlet

    public FailDuringInitPortlet()

Method Detail

### init

    public void init()
              throws PortletException

  Description copied from class: `GenericPortlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericPortlet.init(PortletConfig)`, simply override this method and it will be called by `GenericPortlet.init(PortletConfig config)`. The `PortletConfig` object can still be retrieved via `GenericPortlet.getPortletConfig()`.

  Overrides:
    `init` in class `GenericPortlet`
  Throws:
    `PortletException` - if an exception has occurred that interferes with the portlet normal operation.
    `UnavailableException` - if the portlet is unavailable to perform init

### doView

    protected void doView(RenderRequest renderRequest,
                          RenderResponse renderResponse)
                   throws PortletException,
                          java.io.IOException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `renderRequest` - the portlet request
    `renderResponse` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `java.io.IOException` - if the streaming causes an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.